package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: RegisterVerifyCodeReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:20
 */
@Data
public class Nft001RegisterVerifyCodeResp implements Serializable {
    private static final Nft001RegisterVerifyCodeResp obj = new Nft001RegisterVerifyCodeResp();
    public static Nft001RegisterVerifyCodeResp getNew() {
        try {
            return (Nft001RegisterVerifyCodeResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft001RegisterVerifyCodeResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
